<?php

declare(strict_types=1);

namespace App\Livewire\Components\Informacie;

use App\Models\Informacia\Enums\StavInformacieEnum;
use Illuminate\View\View;
use Livewire\Component;

/**
 * Class Stav
 *
 * @package App\Livewire\Components\Informacie
 */
final class Stav extends Component
{
    /**
     * @var \App\Models\Informacia\Enums\StavInformacieEnum[]
     */
    private array $states;

    /**
     *
     */
    public function mount(): void
    {
        $this->states = StavInformacieEnum::cases();
    }

    /**
     * @return \Illuminate\View\View
     */
    public function render(): View
    {
        return view('livewire.components.informacie.stav');
    }

    /**
     * @return \App\Models\Informacia\Enums\StavInformacieEnum[]
     */
    public function states(): array
    {
        return $this->states;
    }
}
